// В переменную x записывается число, введенное пользователем в диалоговое окно. Проверить и вывести на экран, x – отрицательное число, положительное или ноль.
// оценочное врмея 10 мин
// реальное время 15мин 
var x = +prompt('Enter number');
if (x < 0) {
	alert('Negative number');
} 
	else  if (x > 0) {
	alert('Positive number');
}
	else
	alert('Null');

// Создайте три переменные с любыми числовыми значениями. Используя условный оператор  и не используя логические, найдите минимальное число и отобразите на экране имя переменной и ее значение.
// оценочное врeмея 15 мин
// реальное время 120мин 
var x = +prompt('Enter first number'), y = +prompt('Enter second number'), z = +prompt('Enter third number');
debugger;

if (x < y) {
	if (x < z) {
		alert('x = ' + x);
	}else if (y < z){
		alert('y = ' + y);
	} else 
		alert('z = ' + z);
} else if (y < z) {
	alert('y = ' + y);
} else 
	alert('z = ' + z);

// У вас и у вашего друга в кармане столько денег, сколько было указано в окнах prompt. В зависимости от общей суммы ваших сбережений вы можете полететь на Майорку или выпить пива. С помощью условного оператора определите ваши возможности и отобразите на экране в alert.
// оценочное врмея 10 мин
// реальное время 3мин 
var myMoney = +prompt('My money'), myFriendMoney = +prompt('My friend money');
var all = myFriendMoney + myMoney
if (all > 1000) {
	alert('We fly to Mallorca');
} else 
	alert('We drink beer');

// В переменную age запишите возраст человека. Если значение больше или равно 20 и меньше 27, в alert выводится “Выслать повестку”.
// оценочное время 10 мин
// реальное время 5мин 
var age = +prompt('How old are you?');

if ((age >= 20) && (age <= 27)) {
	alert('YOU GO TO THE ARMY');
} else 
	alert('Stay in home');

// Чтобы добраться домой, вас устраивают маршрутки номер 7, 225 и 255. Какая маршрутка приехала – определяется в prompt. Если ваша, то вы едете домой, в противном случае – ожидаете.
// оценочное время 10 мин
// реальное время 3мин 
var busNumber = +prompt('How number?');

if ((255==busNumber)||(225==busNumber)||(7==busNumber)){
	alert('You go home ^_^');
} else
	alert('Wait');

// В переменную day записан текущий день недели. Если это не суббота и не воскресенье, выведите в alert сентенцию о необходимости идти на работу.
// оценочное время 10 мин
// реальное время 10мин 
var day = prompt('What day?');

if ((day=='sunday')||(day=='saturday')){
	alert('Relax');
} else if ((day=='monday')||(day=='tuesday')||(day=='wednesday')||(day=='thursday')||(day=='friday')) {
	alert('GO ON WORK');
} else 
	alert('incorrect day');

// Если переменная x равна или меньше 1, а переменная y больше или равна 3 или меньше 0, то выведите сумму этих переменных, иначе выведите 'Неверно!'.
// оценочное время 10 мин
// реальное время 5мин 
var x = +prompt('Enter X'), y = +prompt('Enter Y');

if ((x<=1)&&((y>=3)||(y<0))) {
	alert(x+y);
} else 
	alert('Incorrect!');

// Если переменная x больше 2 и меньше 11, или переменная y больше или равна 6 и меньше 14, то увеличьте x на 2, иначе прибавьте к x число 5. Выведите новое значение переменной на экран.
// оценочное время 10 мин
// реальное время 5мин 
var x = +prompt('Enter X'), y = +prompt('Enter Y');

if (((x>2)&&(x<11))||((y>=6)&&(y<14))) {
	alert('new x = ' + (x+2));
} else 
	alert('new x = ' + (x+5));

// Получите из prompt значение для имени пользователя. Выведите на экран приветствие. Учтите вариант, что пользователь может не ввести ничего или нажать на Отмена.
// оценочное время 10 мин
// реальное время 60мин 
var name = prompt('Enter name');
	debugger;
if ((name == '')||(name == 'null')) {
	alert('Incorrect name');
} else
	alert(name);

// Создайте две переменные: greeting и lang. Переменная greeting – пустая строка. Переменная lang может принимать три значения: 'ru', 'en', 'de' (например, из prompt). Если она имеет значение 'ru', то в переменную greeting запишите приветствие на русском языке, если имеет значение 'en' – то на английском, если 'de' – на немецком. Выведите на экран приветствие в зависимости от значения переменной lang. Решите задачу через if-else и через switch-case.
// оценочное время 15 мин
// реальное время 5 мин 
var greeting = '', lang = prompt('en, ru, de');

if (lang == 'en'){
	alert('hello');
} else if (lang == 'ru'){
	alert('привет');
} else if (lang == 'de') {
	alert('Hallo');
} else
	alert('Incorrect chooce');


switch (lang) {
	case 'en' : alert('hello'); break;
	case 'ru' : alert('привет'); break;
	case 'de' : alert('Hallo'); break;
	default : alert('Incorrect chooce');
}

// В переменной month хранится текущий месяц (new Date()). Определите в какую пору года попадает этот месяц (зима, лето, весна, осень).
// оценочное время 15 мин
// реальное время 15 мин 
var month = new Date(), numberMonth; 
numberMonth = month.getMonth();

if ((numberMonth == 0)||(numberMonth == 1)||(numberMonth == 11)) {
	alert('Winter now');
} else if ((numberMonth == 2)||(numberMonth == 3)||(numberMonth == 4)) {
	alert('Spring now');
} else if ((numberMonth == 5)||(numberMonth == 6)||(numberMonth == 7)) {
	alert('Summer now');
} else if ((numberMonth == 8)||(numberMonth == 9)||(numberMonth == 10)) {
	alert('Autumn now');
}

// Переменная lang может принимать два значения: 'ru' и 'en'. Переменная day принимает значение от 0 до 6-ти. Если lang имеет значение 'ru', то в переменную result запишите название дня недели на русском языке в соответствии со значением переменной day (0 – воскресенье, 1 – понедельник, 2 – вторник и т.д.). Если же lang имеет значение 'en' – то аналогично, но день недели будет на английском.
// оценочное время 20 мин
// реальное время 20 мин 
var lang = prompt('Enter language(ru/en)'), day = new Date().getDay(), result;

if (lang == 'ru') {
	switch (day) {
		case 0 : alert('Воскресенье'); break;
		case 1 : alert('Понедельник'); break;
		case 2 : alert('Вторник'); break;
		case 3 : alert('Среда'); break;
		case 4 : alert('Четверг'); break;
		case 5 : alert('Пятница'); break;
		case 6 : alert('Суббота'); break;
	}
}else if (lang == 'en'){
	switch (day) {
		case 0 : alert('Sunday'); break;
		case 1 : alert('Monday'); break;
		case 2 : alert('Tuesday'); break;
		case 3 : alert('Wednesday'); break;
		case 4 : alert('Thursday'); break;
		case 5 : alert('Friday'); break;
		case 6 : alert('Saturday'); break;
	}
}